--- title: "Get SourceDeploy scenario list" slug: "devtools-sourcepipeline-sourcedeployscenariolist" tags: ["SourcePipeline"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcepipeline-sourcedeployscenariolist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get SourceDeploy scenario list Available in Classic and VPC Get the list of available deployment scenarios in a SourceDeploy project. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/sourcedeploy/project/{projectId}/stage/{stageId}/scenario | ### Request headers For information about the headers common to all SourcePipeline APIs, see [SourcePipeline request headers](/docs/en/devtools-sourcepipeline#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Deployment project ID - See [Get SourceDeploy project list](/docs/en/devtools-sourcepipeline-sourcedeployprojectlist). | | `stageId` | String | Required | Deployment stage ID - See [Get SourceDeploy stage list](/docs/en/devtools-sourcepipeline-sourcedeploystagelist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Number | Optional | Page number - 1-N - Required when entering `pageSize` | | `pageSize` | Number | Optional | Number of items per page - 1-N - Required when entering `pageNo` | | `searchWord` | String | Optional | Search keyword - Filter values that match the scenario name in whole or in part. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcepipeline.apigw.ntruss.com/api/v1/sourcedeploy/project/2***/stage/3***/scenario?pageNo=1&pageSize=10&searchWord=te' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.scenarioList` | Array | - | Deployment scenario list: [scenarioList](/docs/en/devtools-sourcepipeline-sourcedeployscenariolist#scenarioList) | #### `scenarioList` The following describes `scenarioList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Deployment scenario ID | | `name` | String | - | Deployment scenario name | | `source` | Object | - | Deployment target information | | `source.type` | String | - | Deployment file type - `SourceBuild` \| `ObjectStorage` \| `KubernetesService` | | `source.target` | Object | - | Deployment file information | | `source.target.projectName` | String | - | Build project name - Display if `type` is `SourceBuild`. | | `source.target.file` | String | - | File location in Object Storage - Display if `type` is `ObjectStorage`. | | `source.target.manifest` | String | - | Manifest file location - Display if `type` is `KubernetesService`. | ### Response status codes For information about the HTTP status codes common to all SourcePipeline APIs, see [SourcePipeline response status codes](/docs/en/devtools-sourcepipeline#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "scenarioList": [ { "id": 2***, "name": "testscenario2", "source": { "type": "ObjectStorage", "target": { "file": "data2/sample_build_output.zip" } } }, { "id": 2***, "name": "testscenario", "source": { "type": "SourceBuild", "target": { "projectName": "build1" } } } ] } } ```